SPI\_getbinval

|       SPI\_getbinval        |                                |                                 |                  |                             |
|:---------------------------:|--------------------------------|---------------------------------|------------------|-----------------------------|
|[Prev](spi-spi-getvalue.html)|[Up](spi-interface-support.html)|47.2. Interface Support Functions|[Home](index.html)| [Next](spi-spi-gettype.html)|

---

[]()

## SPI\_getbinval

SPI\_getbinval — return the binary value of the specified column

## Synopsis

```
Datum SPI_getbinval(HeapTuple row, TupleDesc rowdesc, int colnumber,
                    bool * isnull)

```

## Description

`SPI_getbinval` returns the value of the specified column in the internal form (as type `Datum`).

 This function does not allocate new space for the datum. In the case of a pass-by-reference data type, the return value will be a pointer into the passed row.

## Arguments

`HeapTuple *`row`*`

 input row to be examined

`TupleDesc *`rowdesc`*`

 input row description

`int *`colnumber`*`

 column number (count starts at 1)

`bool * *`isnull`*`

 flag for a null value in the column

## Return Value

 The binary value of the column is returned. The variable pointed to by *`isnull`* is set to true if the column is null, else to false.

`SPI_result` is set to `SPI_ERROR_NOATTRIBUTE` on error.

---

|[Prev](spi-spi-getvalue.html)|[Up](spi-interface-support.html)| [Next](spi-spi-gettype.html)|
|:----------------------------|:------------------------------:|----------------------------:|
|        SPI\_getvalue        |       [Home](index.html)       |         SPI\_gettype        |

 // \<![CDATA[ \<-- For SVG support if ('WebSocket' in window) { (function() { function refreshCSS() { var sheets = [].slice.call(document.getElementsByTagName("link")); var head = document.getElementsByTagName("head")[0]; for (var i = 0; i \< sheets.length; ++i) { var elem = sheets[i]; head.removeChild(elem); var rel = elem.rel; if (elem.href && typeof rel != "string" || rel.length == 0 || rel.toLowerCase() == "stylesheet") { var url = elem.href.replace(/(&|\\?)\_cacheOverride=\\d+/, ''); elem.href = url + (url.indexOf('?') \>= 0 ? '&' : '?') + '\_cacheOverride=' + (new Date().valueOf()); } head.appendChild(elem); } } var protocol = window.location.protocol === 'http:' ? 'ws://' : 'wss://'; var address = protocol + window.location.host + window.location.pathname + '/ws'; var socket = new WebSocket(address); socket.onmessage = function(msg) { if (msg.data == 'reload') window.location.reload(); else if (msg.data == 'refreshcss') refreshCSS(); }; console.log('Live reload enabled.'); })(); } // ]]\>